sc::Identity(3)

NAME
sc::Identity - Identity gives objects a unique identity and ordering relationship relative to all other objects.

SYNOPSIS

#include <identity.h>

Inherited by sc::ClassDesc, and sc::RefCount.

  Public Member Functions
Identifier identifier ()
Return the Identifier for this argument.

Detailed Description

Identity gives objects a unique identity and ordering relationship relative to all other objects. Identity must be virtually inherited if multiple inheritance is to be used.

Member Function Documentation

  Identifier sc::Identity::identifier () [inline]

Return the Identifier for this argument.

Usually this is just the pointer to the object.

Author

Generated automatically by Doxygen for MPQC from the source code.